Subject: Re: PINE mangles domain names!

From: Terry Gray <[email-masked]>
Date: Fri, 27 Oct 1995 17:57:19 -0700

Joseph,
The odds are *very* high that Pine is not mangling anything,
but that your *sendmail* is configured to rewrite addresses in ways it
shouldn't.

As a test, set smtp-server= to someplace in a different subdomain
(in hopes of bypassing the local sendmails)...

Even so, your last example is indeed bizarre... the "sdchemw1" should have
been suppressed.  What does your /etc/hosts entry look like for that host?

-teg

On Fri, 27 Oct 1995, Joseph Luk wrote:

> Hello all,
>
> This is a fairly involved problem, but the net result is that PINE has
> become useless for sending mail on our system because it takes liberties
> with both the domain names of the sender as well as local (same host)
> recipients.   I hope some of you may be able to shed some light on this;
> it's bewildered me and our sysadmin and if it doesn't get resolved soon,
> I'll be forced to use ELM!!!!
>
> Okay, I'm [email-masked].  Our domain is ucsd.edu.  The
> user-domain variable is set to its default (no value).
>
> Problem 1: I want to send mail to local user [email-masked].  So
> I type "dpb" in the To: field, and PINE resolves it to "Doug Book
> <[email-masked]>".  Okay so far.  But when Doug receives the
> message, its header reads:
> 		From: Joseph Luk <[email-masked]>
> 		To: Doug Book <[email-masked]>
>
> This is *NOT* what I see in the editor screen just before sending the
> message!  In fact, there is no user [email-masked].  It somehow got
> delivered but the wrong addresses are shown to the receiver.  What the
> heck is going on here?
>
> It gets more bizarre, too.  Experimenting with the user-domain and
> use-only-domain name settings reveals the following:
>
> user-domain = sdchemw1.ucsd.edu
> 	(on screen) To: Doug Book <[email-masked]>
> 	(received mail header)
> 		From: Joseph Luk <[email-masked]>
> 		To: Doug Book <[email-masked]>
>
> user-domain = sdchemw1
> 	(on screen) To: Doug Book <dpb@sdchemw1>
> 	(received mail header)
> 		From: Joseph Luk <[email-masked]>
> 		X-Sender: [email-masked]
> 		To: Doug Book <[email-masked]>
>
> user-domain = <no value set>
> use-only-domain-name = Yes
> 	(on screen) To: [email-masked]
> 	(received mail header)
> 		From: Joseph Luk <[email-masked]@chem.ucsd.edu>
> 		To: Doug Book <[email-masked]>
>
>
> The last one is completely bizarre and *still* won't properly provide
> the correct To: address of <[email-masked]>.  Funny thing is, it
> seems that regardless of the setting of the two variables, whenever I
> send mail outside ucsd.edu, the recipient gets that bizarre tacked-on
> thing.  It's possible that this is a problem with the mail servers at
> chem.ucsd.edu tacking on the extra address, and separate from the domain
> mangling mentioned above.
>
> There may be a set of problems here, and as you can see they're not
> minor ones.  If anyone else has had experience with domain names and
> PINE, please let me know!
>
> Thanks,
> Joe
>
>
>
>
>